ShortSerializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.serializers

## Class ShortSerializer

- java.lang.Object
- - org.apache.cassandra.serializers.ShortSerializer

- All Implemented Interfaces:
    TypeSerializer<java.lang.Short>

      public class ShortSerializer
      extends java.lang.Object
      implements TypeSerializer<java.lang.Short>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ShortSerializer` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShortSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Short` | `deserialize(java.nio.ByteBuffer bytes)`
    `java.lang.Class<java.lang.Short>` | `getType()`
    `java.nio.ByteBuffer` | `serialize(java.lang.Short value)`
    `java.lang.String` | `toString(java.lang.Short value)`
    `void` | `validate(java.nio.ByteBuffer bytes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.serializers.TypeSerializer

      `toCQLLiteral`

- - ### Field Detail

    - #### instance

          public static final ShortSerializer instance

  - ### Constructor Detail

    - #### ShortSerializer

          public ShortSerializer()

  - ### Method Detail

    - #### deserialize

          public java.lang.Short deserialize(java.nio.ByteBuffer bytes)

      Specified by:
        `deserialize` in interface `TypeSerializer<java.lang.Short>`

    - #### serialize

          public java.nio.ByteBuffer serialize(java.lang.Short value)

      Specified by:
        `serialize` in interface `TypeSerializer<java.lang.Short>`

    - #### validate

          public void validate(java.nio.ByteBuffer bytes)
                        throws MarshalException

      Specified by:
        `validate` in interface `TypeSerializer<java.lang.Short>`
      Throws:
        `MarshalException`

    - #### toString

          public java.lang.String toString(java.lang.Short value)

      Specified by:
        `toString` in interface `TypeSerializer<java.lang.Short>`

    - #### getType

          public java.lang.Class<java.lang.Short> getType()

      Specified by:
        `getType` in interface `TypeSerializer<java.lang.Short>`

Copyright © 2018 The Apache Software Foundation